include ../resumoProcesso/resumo-processo

div(ng-init='ctrl.init()')

	section
		+resumo-processo('ctrl.processo','ctrl.exibirDadosProcesso()', 'ctrl.titulo')

	section.margin-bottom-md

		uib-tabset(active='ctrl.tabAtiva', ng-click="ctrl.validarAbas()")
			uib-tab(index="0", heading="Análise Geo")
				include analiseGeo/etapa-localizacaoGeografica

			uib-tab(index="1", heading="Análise Técnica")
				include tab-analise-tecnica
			
			uib-tab(index="2", heading="Vistoria")
				include tab-vistoria

			uib-tab(index="3", heading="Conclusão da análise")
				include etapa-conclusao

	section.margin-bottom-xl.alone

			button.btn.btn-default.col-md-2.col-md-offset-0.margin-right-xs.margin-top-md(title='Cancelar análise',
																						ng-bootbox-title='Confirmação',
																						ng-bootbox-confirm='Deseja realmente cancelar a análise ?',
																						ng-bootbox-confirm-action="ctrl.cancelar()")
				i.glyphicon.glyphicon-remove
				| &nbsp;Cancelar 

			button.btn.btn-default.col-md-2.col-md-offset-0.margin-top-md(ng-if="ctrl.tabAtiva > 0", ng-click="ctrl.voltar()")
				i.glyphicon.glyphicon-arrow-left.glyphicon--with-right-margin
				| Etapa anterior

			button.btn.btn-success.pull-right.col-md-2.margin-top-md(ng-click="ctrl.concluir()", ng-if="!ctrl.analiseTecnica.dataFim && ctrl.tabAtiva === 3")
				i.glyphicon.glyphicon-check.glyphicon--with-right-margin
				| Concluir

			button.btn.btn-default.pull-right.col-md-3.margin-right-xs(ng-if="ctrl.analiseTecnica.tipoResultadoAnalise.id === ctrl.tiposResultadoAnalise.EMITIR_NOTIFICACAO" ng-click="ctrl.downloadPDFNotificacao()")
				i.glyphicon.glyphicon-save-file.glyphicon--with-right-margin
				| Visualizar notificação

			button.btn.btn-success.pull-right.col-md-2.col-md-offset-1.margin-right-xs.margin-top-md(ng-click="ctrl.avancar()", ng-if="!ctrl.analiseTecnica.dataFim && ctrl.tabAtiva < 3")
				i.glyphicon.glyphicon-arrow-right.glyphicon--with-right-margin
				| Próxima etapa

			i.pull-right(ng-if="ctrl.analiseTecnica.dataFim") Esta análise foi concluida em {{ctrl.analiseTecnica.dataFim}} e não pode mais ser alterada.
